from flask import Blueprint, render_template
from flask.ext.assets import Environment, Bundle

frontend = Blueprint(
    'frontend',
    __name__,
    template_folder='templates',
    static_folder='static'
)



frontend_js = Bundle('frontend/js/app.js', 'frontend/js/accounts.js',
                     'frontend/js/operations.js', 'frontend/js/scheduler.js')
frontend_css = Bundle('frontend/css/main.css')


@frontend.route('/', defaults={'path': 'accounts'})
@frontend.route('/<path:path>')
def index(path):
    return render_template('layout.html')
